Deprecated Gradle features were used in this build, making it incompatible with

designpeg

  • *
  • Posts: 689
Deprecated Gradle features were used in this build, making it incompatible with Gradle 5.0.

I'm getting this error when compiling for android, any clues?

squeeb

  • Posts: 1524
May be too new a gradle build?  Whats the newest stencyl supports?

Justin

  • *
  • Posts: 4310
It's benign, no need to worry about it.

For Live Support: Join our discord server and ping me @justin.
I'm most often available between 8am and midnight Japan time. (GMT+9)

designpeg

  • *
  • Posts: 689
Hi, I thought the error must be why my game won't compile for android, there's another error just before the gradle warning : Error: A library uses the same package as this project, do you know what could be causing this?

Code: [Select]
jar:file:/Applications/Stencyl/sw.jar!/res/logview4j/images/error.gif false ERROR 1554889347574003933 stencyl.sw.app.tasks.buildgame.GameBuilder Failed: Running Android. (Return code: 1)
jar:file:/Applications/Stencyl/sw.jar!/res/logview4j/images/info.gif false INFO 1554889347574003932 stencyl.sw.util.StreamGobbler [haxelib] 166 actionable tasks: 50 executed, 116 up-to-date
jar:file:/Applications/Stencyl/sw.jar!/res/logview4j/images/error.gif false ERROR 1554889347574003931 stencyl.sw.util.StreamGobbler [haxelib] BUILD FAILED in 2s
jar:file:/Applications/Stencyl/sw.jar!/res/logview4j/images/error.gif false ERROR 1554889346046003930 stencyl.sw.util.dg.MessageDialog Encountered errors while building your game.: Check your logs and post them to the forums.  - Please describe what you have been doing. Be as specific as possible.
jar:file:/Applications/Stencyl/sw.jar!/res/logview4j/images/info.gif false INFO 1554889346046003929 stencyl.sw.util.StreamGobbler [haxelib] See https://docs.gradle.org/4.7/userguide/command_line_interface.html#sec:command_line_warnings
jar:file:/Applications/Stencyl/sw.jar!/res/logview4j/images/info.gif false INFO 1554889346046003928 stencyl.sw.util.StreamGobbler [haxelib] Deprecated Gradle features were used in this build, making it incompatible with Gradle 5.0.
jar:file:/Applications/Stencyl/sw.jar!/res/logview4j/images/info.gif false INFO 1554889346046003927 stencyl.sw.util.StreamGobbler [haxelib] * Get more help at https://help.gradle.org
jar:file:/Applications/Stencyl/sw.jar!/res/logview4j/images/info.gif false INFO 1554889346046003926 stencyl.sw.util.StreamGobbler [haxelib] Run with --stacktrace option to get the stack trace. Run with --debug option to get more log output. Run with --scan to get full insights.
jar:file:/Applications/Stencyl/sw.jar!/res/logview4j/images/info.gif false INFO 1554889346046003925 stencyl.sw.util.StreamGobbler [haxelib] * Try:
jar:file:/Applications/Stencyl/sw.jar!/res/logview4j/images/info.gif false INFO 1554889346046003924 stencyl.sw.util.StreamGobbler [haxelib] > Error: A library uses the same package as this project: co.uk.designpeg.com
jar:file:/Applications/Stencyl/sw.jar!/res/logview4j/images/info.gif false INFO 1554889346045003923 stencyl.sw.util.StreamGobbler [haxelib] Execution failed for task ':app:processDebugResources'.
jar:file:/Applications/Stencyl/sw.jar!/res/logview4j/images/info.gif false INFO 1554889346045003922 stencyl.sw.util.StreamGobbler [haxelib] * What went wrong:
jar:file:/Applications/Stencyl/sw.jar!/res/logview4j/images/error.gif false ERROR 1554889346045003921 stencyl.sw.util.StreamGobbler [haxelib] FAILURE: Build failed with an exception.

« Last Edit: May 12, 2019, 02:02:29 pm by Justin »

johnjanowskibsc

  • Posts: 85
Hi,

I've just come across the same grade error. What is this?

I've downloaded the latest updates from the android sdk manager and all my other android details are up to date?

Weird!

johnjanowskibsc

  • Posts: 85
ive just read this so will try this next time I’m near my mac

johnjanowskibsc

  • Posts: 85
Before I head down this long and winding road should I uninstall JDK11 and install either..

a) JDK8?
b) JDK 10?

Justin

  • *
  • Posts: 4310
You need JDK 8 to build android games. If you're not using 8, Stencyl should be warning you when you try to do it.

For Live Support: Join our discord server and ping me @justin.
I'm most often available between 8am and midnight Japan time. (GMT+9)

johnjanowskibsc

  • Posts: 85
Thanks. I installed JDK8  but still no joy. Stencyl is pointing to this in android settings - I think I will uninstall JDK11 and see if that helps?

Justin

  • *
  • Posts: 4310
What gradle error are you talking about? The one in the topic's name? That's benign and nothing for you to worry about it. Are you talking about the one in Designpeg's second post? That has nothing to do with the JDK. Perhaps something to do with cached files (clean project to fix) or some engine extensions you're using.

For Live Support: Join our discord server and ping me @justin.
I'm most often available between 8am and midnight Japan time. (GMT+9)

johnjanowskibsc

  • Posts: 85
Hi, I cleaned the project and it fixed it first time! Thanks